## system-packages-el 1.0.8

=== debian/changelog ===
system-packages-el (1.0.8-1) unstable; urgency=medium

  * Initial release (Closes: #915033)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 29 Nov 2018 21:33:42 +0500

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/system-packages-el-$1\.tar\.gz/g \
https://gitlab.com/jabranham/system-packages/tags?sort=updated_desc .*(\d\S+)/system-packages-.+\.tar\.gz

## system-packages-el 1.0.11

=== Makefile ===
EMACS ?= emacs
EMACS_FLAGS = --quick --directory .
EMACS_BATCH = $(EMACS) --batch $(EMACS_FLAGS)

EL  := $(wildcard *.el)
ELC := $(patsubst %.el,%.elc,$(EL))

.PHONY: all
all: compile

.PHONY: compile test
compile: $(ELC)

%.elc: %.el
	$(EMACS_BATCH) --eval "(progn (message (emacs-version)) (setq byte-compile-error-on-warn t) (batch-byte-compile))" $<

test:
	$(EMACS_BATCH) --eval "(progn\
	(load-file \"test/system-packages-test.el\") \
	(ert-run-tests-batch-and-exit))"

## system-packages-el 1.0.10

=== debian/changelog ===
system-packages-el (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Remove unneeded patch to fix version number
  * d/watch: Update watch file to correctly detect new versions

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 09 Dec 2018 15:44:26 +0500

=== debian/control ===
Source: system-packages-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa
Standards-Version: 4.2.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://gitlab.com/jabranham/system-packages
Vcs-Browser: https://salsa.debian.org/emacsen-team/system-packages-el
Vcs-Git: https://salsa.debian.org/emacsen-team/system-packages-el.git

Package: elpa-system-packages
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: functions to manage system packages
 This is a package to manage installed system packages. Useful
 functions include installing packages, removing packages, listing
 installed packages, and others.

## system-packages-el 1.0.11

=== debian/changelog ===
system-packages-el (1.0.11-2) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Sat, 23 Jan 2021 07:21:01 -0400

system-packages-el (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11
  * Refresh patch
  * Migrate to debhelper 12 without d/compat
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Change Homepage to elpa.gnu.org (from gitlab.org)
  * d/copyright: Add Upstream-Contact
  * d/copyright: Reflect copyright transfer to FSF
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 19 Jul 2019 23:31:01 +0500

=== debian/control ===
Source: system-packages-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.4.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://elpa.gnu.org/packages/system-packages.html
Vcs-Browser: https://salsa.debian.org/emacsen-team/system-packages-el
Vcs-Git: https://salsa.debian.org/emacsen-team/system-packages-el.git

Package: elpa-system-packages
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: functions to manage system packages
 This is a package to manage installed system packages. Useful
 functions include installing packages, removing packages, listing
 installed packages, and others.

## system-packages-el 1.0.12

=== debian/changelog ===
system-packages-el (1.0.12-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Lev Lamberov ]
  * Add upstream PGP key
  * New upstream version 1.0.12
  * Refresh patch to clean documentation
  * d/copyright: Update copyright years
  * d/watch: Fix new version check

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 09 Aug 2023 22:40:37 +0500

## system-packages-el 1.0.13

=== debian/changelog ===
system-packages-el (1.0.13-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:21:12 +0900

system-packages-el (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 18 Sep 2023 12:48:48 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://elpa.gnu.org/packages/system-packages.html
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: functions to manage system packages
  This is a package to manage installed system packages. Useful

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://elpa.gnu.org/packages/system-packages.html system-packages-(.+).tar(?:\.lz)?

## system-packages-el 1.1.2

=== debian/changelog ===
system-packages-el (1.1.2-1) unstable; urgency=medium

  [ Lev Lamberov ]
  * New upstream version 1.1.2
  * d/control: Declare Standards-Version 4.7.3
  * d/control: Drop Priority field
  * d/control: Drop Rules-Requires-Root: no
  * d/copyright: Update copyright years
  * d/watch: Migrate to version 5

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 03 Jan 2026 12:01:53 +0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: system-packages-el
 Section: lisp
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://elpa.gnu.org/packages/system-packages.html
 Vcs-Browser: https://salsa.debian.org/emacsen-team/system-packages-el

=== debian/watch ===
Version: 5

Source: https://elpa.gnu.org/packages/system-packages.html
Matching-Pattern: system-packages-(.+).tar(?:\.lz)?
Pgp-Sig-Url-Mangle: s%$%.asc%
